## ros-melodic-urdfdom-py 0.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(urdfdom_py)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

catkin_install_python(PROGRAMS
  scripts/display_urdf
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/test_urdf.py)
  catkin_add_nosetests(test/test_urdf_error.py)
endif()

=== debian/changelog ===
ros-melodic-urdfdom-py (0.4.5-1stretch) stretch; urgency=high

  * Make sure to add the version when creating a new URDF. (#62 <https://github.com/ros/urdf_parser_py/issues/62>) (#66 <https://github.com/ros/urdf_parser_py/issues/66>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 04 Dec 2020 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.4-1stretch) stretch; urgency=high

  * Replace deprecated function (#60 <https://github.com/ros/urdf_parser_py/issues/60>)
  * Contributors: Roel

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 29 Oct 2020 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.3-1stretch) stretch; urgency=high

  * Remove lxml dependency (#57 <https://github.com/ros/urdf_parser_py/issues/57>)
  * Use setuptools instead of distutils (#56 <https://github.com/ros/urdf_parser_py/issues/56>)
  * Bump CMake version to avoid CMP0048 (#55 <https://github.com/ros/urdf_parser_py/issues/55>)
  * update backward compatibility on visual and collisions (#47 <https://github.com/ros/urdf_parser_py/issues/47>)
  * Allow name attribute in visual tag (#31 <https://github.com/ros/urdf_parser_py/issues/31>)
  * Contributors: Kei Okada, Shane Loretz, gerkey

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 01 Apr 2020 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.2-1stretch) stretch; urgency=high

  * Add in support for the version tag. (#52 <https://github.com/ros/urdf_parser_py/issues/52>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Jan 2020 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.1-1stretch) stretch; urgency=high

  * Python 3 fixes (#38 <https://github.com/ros/urdf_parser_py/issues/38> #43 <https://github.com/ros/urdf_parser_py/issues/43> #48 <https://github.com/ros/urdf_parser_py/issues/48>)
  * Remove old example test (#37 <https://github.com/ros/urdf_parser_py/issues/37>)
  * Contributors: Chris Lalancette, Eric Cousineau, Markus Grimm, Timon Engelke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 22 Oct 2019 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.0-1stretch) stretch; urgency=high

  * Add Link.visual and Link.collision properties (#28 <https://github.com/ros/urdf_parser_py/issues/28>)
  * Add tests for mutli-visual and multi-collision
  * links and collisions load properly as aggregates
  * Add XPath information when a parse error is encountered
  * Remove travis support. (#22 <https://github.com/ros/urdf_parser_py/issues/22>)
  * Reformat python code to pep8 standard (#21 <https://github.com/ros/urdf_parser_py/issues/21>)
  * Update core.py to allow passing addHeader arg to to_xml_string function (#19 <https://github.com/ros/urdf_parser_py/issues/19>)
  * fixed defaults for xyz/rpy, fixed set_default for Param, added unit tests (#16 <https://github.com/ros/urdf_parser_py/issues/16>)
  * Make unit test run with catkin_make run_tests (#15 <https://github.com/ros/urdf_parser_py/issues/15>)
  * Contributors: Chris Lalancette, Chris Paxton, Eric Cousineau, Shane Loretz, Will Baker, eugene-katsevman

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 21 Feb 2018 00:00:00 -0000

ros-melodic-urdfdom-py (0.3.3-1stretch) stretch; urgency=high

  * Made Chris and Shane the maintainers
  * Added python-lxml to the travis build.
  * Reverted line break (ros/urdfdom#77 <https://github.com/ros/urdfdom/pull/77>) now that there is a more generic solution. (#5 <https://github.com/ros/urdf_parser_py/issues/5>)
  * Added line break to make errors easier to read. (#4 <https://github.com/ros/urdf_parser_py/issues/4>)
  * Contributors: Chris Lalancette, Isaac I.Y. Saito

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Feb 2017 00:00:00 -0000

ros-melodic-urdfdom-py (0.3.1-1stretch) stretch; urgency=high

  * Add travis
  * Add package.xml for ROS release
  * Tweak CMakeLists to reflect migration from urdfdom
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 22 Feb 2016 00:00:00 -0000

ros-melodic-urdfdom-py (0.3.0-1stretch) stretch; urgency=high

  * [urdf_parser_py] Add missing newline
  * color and texture in link material are optional
  * fixed transmission parser to match specification
    http://wiki.ros.org/urdf/XML/Transmission#A.3Ctransmission.3E_Elements
    proper unittest for urdf_parser_py
    - added transmission parsing tests
  * Merge pull request #59 <https://github.com/ros/urdf_parser_py/issues/59> from goretkin/goretkin-optional-calibration
    joint calibration is optional
  * made hardware interface optional in both transmission actuator and joint
  * joint calibration is optional
    according to http://wiki.ros.org/urdf/XML/joint
  * set limit(upper/lower), safety_controller(soft_upper/lower_limit, k_position) is optional
  * urdf_parser_py.xml_reflection : python 3 compatibility
    Substitute 'Exception, e' with Exception as e. This ensure compatibility with Python 3 and Python 2.6,2.7 .
    Check https://docs.python.org/3/howto/pyporting.html#capturing-the-currently-raised-exception for more info.
  * urdf_parser_py: Confirmed that both new transmissions are parseable in the same robot.
    test: Added in specific test for tranmsissions. Have it print the type.
    @todo: Make this a unittest.
  * urdf_parser_py: Added attribute preservation for xmlr.RawType (i.e., <gazebo reference="..."/>)
  * urdf_parser_py: Parsing new transmission format works. Need to add in test for old PR2 transmission types.
    test/calvin: Added in generated Calvin URDF provided by v4hn
    test/romeo: Reformatted to match Calvin test
  * urdf_parser_py.urdf: Adding duck-typed parsing for ros_control and PR2 transmissions.
  * [urdf_parser_py] Python3 compatibility
  * Contributors: Antonio El Khoury, Doug Sievers, Eric Cousineau, Gustavo Goretkin, Ioan A Sucan, Ioan Sucan, Jackie Kay, Kei Okada, Kelsey Hawkins, Séverin Lemaignan, Tamaki Nishino, Thomas Moulard, VahidAminZ, Vincent Rabaud, eacousineau, isucan



=== debian/control ===
Source: ros-melodic-urdfdom-py
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python-mock, python-setuptools, ros-melodic-catkin
Homepage: http://wiki.ros.org/urdfdom_py
Standards-Version: 3.9.2

Package: ros-melodic-urdfdom-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-yaml, ros-melodic-rospy
Description: Python implementation of the URDF parser.

## ros-melodic-urdfdom-py 0.4.6

=== debian/changelog ===
ros-melodic-urdfdom-py (0.4.6-1bionic) bionic; urgency=high

  * Support name attribute for collisions (#67 <https://github.com/ros/urdf_parser_py/issues/67>)
  * Contributors: Nick Lamprianidis

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 04 Oct 2021 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.5-1bionic) bionic; urgency=high

  * Make sure to add the version when creating a new URDF. (#62 <https://github.com/ros/urdf_parser_py/issues/62>) (#66 <https://github.com/ros/urdf_parser_py/issues/66>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 04 Dec 2020 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.4-1bionic) bionic; urgency=high

  * Replace deprecated function (#60 <https://github.com/ros/urdf_parser_py/issues/60>)
  * Contributors: Roel

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 29 Oct 2020 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.3-1bionic) bionic; urgency=high

  * Remove lxml dependency (#57 <https://github.com/ros/urdf_parser_py/issues/57>)
  * Use setuptools instead of distutils (#56 <https://github.com/ros/urdf_parser_py/issues/56>)
  * Bump CMake version to avoid CMP0048 (#55 <https://github.com/ros/urdf_parser_py/issues/55>)
  * update backward compatibility on visual and collisions (#47 <https://github.com/ros/urdf_parser_py/issues/47>)
  * Allow name attribute in visual tag (#31 <https://github.com/ros/urdf_parser_py/issues/31>)
  * Contributors: Kei Okada, Shane Loretz, gerkey

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 01 Apr 2020 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.2-1bionic) bionic; urgency=high

  * Add in support for the version tag. (#52 <https://github.com/ros/urdf_parser_py/issues/52>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Jan 2020 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.1-1bionic) bionic; urgency=high

  * Python 3 fixes (#38 <https://github.com/ros/urdf_parser_py/issues/38> #43 <https://github.com/ros/urdf_parser_py/issues/43> #48 <https://github.com/ros/urdf_parser_py/issues/48>)
  * Remove old example test (#37 <https://github.com/ros/urdf_parser_py/issues/37>)
  * Contributors: Chris Lalancette, Eric Cousineau, Markus Grimm, Timon Engelke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 22 Oct 2019 00:00:00 -0000

ros-melodic-urdfdom-py (0.4.0-1bionic) bionic; urgency=high

  * Add Link.visual and Link.collision properties (#28 <https://github.com/ros/urdf_parser_py/issues/28>)
  * Add tests for mutli-visual and multi-collision
  * links and collisions load properly as aggregates
  * Add XPath information when a parse error is encountered
  * Remove travis support. (#22 <https://github.com/ros/urdf_parser_py/issues/22>)
  * Reformat python code to pep8 standard (#21 <https://github.com/ros/urdf_parser_py/issues/21>)
  * Update core.py to allow passing addHeader arg to to_xml_string function (#19 <https://github.com/ros/urdf_parser_py/issues/19>)
  * fixed defaults for xyz/rpy, fixed set_default for Param, added unit tests (#16 <https://github.com/ros/urdf_parser_py/issues/16>)
  * Make unit test run with catkin_make run_tests (#15 <https://github.com/ros/urdf_parser_py/issues/15>)
  * Contributors: Chris Lalancette, Chris Paxton, Eric Cousineau, Shane Loretz, Will Baker, eugene-katsevman

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 21 Feb 2018 00:00:00 -0000

ros-melodic-urdfdom-py (0.3.3-1bionic) bionic; urgency=high

  * Made Chris and Shane the maintainers
  * Added python-lxml to the travis build.
  * Reverted line break (ros/urdfdom#77 <https://github.com/ros/urdfdom/pull/77>) now that there is a more generic solution. (#5 <https://github.com/ros/urdf_parser_py/issues/5>)
  * Added line break to make errors easier to read. (#4 <https://github.com/ros/urdf_parser_py/issues/4>)
  * Contributors: Chris Lalancette, Isaac I.Y. Saito

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Feb 2017 00:00:00 -0000

ros-melodic-urdfdom-py (0.3.1-1bionic) bionic; urgency=high

  * Add travis
  * Add package.xml for ROS release
  * Tweak CMakeLists to reflect migration from urdfdom
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 22 Feb 2016 00:00:00 -0000

ros-melodic-urdfdom-py (0.3.0-1bionic) bionic; urgency=high

  * [urdf_parser_py] Add missing newline
  * color and texture in link material are optional
  * fixed transmission parser to match specification
    http://wiki.ros.org/urdf/XML/Transmission#A.3Ctransmission.3E_Elements
    proper unittest for urdf_parser_py
    - added transmission parsing tests
  * Merge pull request #59 <https://github.com/ros/urdf_parser_py/issues/59> from goretkin/goretkin-optional-calibration
    joint calibration is optional
  * made hardware interface optional in both transmission actuator and joint
  * joint calibration is optional
    according to http://wiki.ros.org/urdf/XML/joint
  * set limit(upper/lower), safety_controller(soft_upper/lower_limit, k_position) is optional
  * urdf_parser_py.xml_reflection : python 3 compatibility
    Substitute 'Exception, e' with Exception as e. This ensure compatibility with Python 3 and Python 2.6,2.7 .
    Check https://docs.python.org/3/howto/pyporting.html#capturing-the-currently-raised-exception for more info.
  * urdf_parser_py: Confirmed that both new transmissions are parseable in the same robot.
    test: Added in specific test for tranmsissions. Have it print the type.
    @todo: Make this a unittest.
  * urdf_parser_py: Added attribute preservation for xmlr.RawType (i.e., <gazebo reference="..."/>)
  * urdf_parser_py: Parsing new transmission format works. Need to add in test for old PR2 transmission types.
    test/calvin: Added in generated Calvin URDF provided by v4hn
    test/romeo: Reformatted to match Calvin test
  * urdf_parser_py.urdf: Adding duck-typed parsing for ros_control and PR2 transmissions.


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-urdfdom-py//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
